Skip to main content

intlSignIn

The intlSignIn API is used for players to log in to Player Network through LI PASS.

Request Parameter​

ParameterTypeDescriptionRemark
tokenstringPlayer Network SDK user authorization token for LI PASSRequired
openidstringLI PASS UIDRequired
account_plat_typenumberAccount platform type used to identify different account platforms
LI PASS needs to fill in 131
Required
accountstringUser Account like emailRequired

Request Sample​

accountApi.intlSignIn(
{
token: 'xxx',
openid: 'xxx',
account_plat_type: 131,
account: 'xxx@gmail.com',
}
).then((res) => {
console.log(res);
});

Response Parameter​

ParameterTypeDescription
retnumberReturn code
0: Request success
!=0: Request failure, see msg for detailed return message
msgstringReturn message
tokenstringPlayer Network SDK user authorization token
Length: 40 bytes, see Token
openidstringPlayer Network SDK unique user ID
The default value is 64-bit unsigned integer string, 32-bit string is also supported.
token_expire_timeint64Expiration time of Player Network SDK token
Unix time
user_namestringUnique username used for login
birthdaystringUser birthday
YYYY-MM
channel_infoobjectChannel information of the current channel.
For more information, see Channel Information.
del_account_statusnumberStatus of account deletion
-1: Query failed
0:No record of revoking Player Network account deletion request (both email account and phone account)
1: Cooling-off period for account deletion
2: Account deletion completed
3: Deleting account
4: Account deletion failed
seqstringSequence number of the message in the data stream
first_loginnumberWhether this is the first login
-1: Unknown
0: No
1: Yes
gendernumberGender
0: Undefined
1: Male
2: Female
need_name_authboolWhether real-name verification is required
pfstringpf value for Midas payment
pf_keystringpf key for Midas payment
picture_urlstringUser avatar URL
tokenstringPlayer Network SDK generated user token
Length: 40 bytes, see Token
token_expire_timenumberToken expiration timestamp
For example, 1600844518.
uidstringLI PASS UID

Response Sample​

{
birthday: "2000-01",
channel_info:{
account_plat_type: 52,
expire_ts: 1638494026,
openid: "yyy",
token: "yyy"
},
del_account_status: 0,
first_login: 0,
gender: 0,
msg: "success",
need_name_auth: false,
openid: "xxx",
pf: "INTLProject_INTLProject-00000000-web-00000000-INTLProject-xxxxxxxxxxxxxxxxxxxxxxxxxxx-13635546925269953152",
pf_key: "7682184xxxxxxxxxxxxxxxxxxxxxxefc8b45",
picture_url: "",
ret: 0,
seq: "1638194026-0180225310-032531-0000292460",
token: "xxx",
token_expire_time: 1638494026,
uid: "xxxx",
user_name: "user",
}